using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DSaC.Migrations
{
    /// <inheritdoc />
    public partial class afterreconstruction : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "contract_number",
                table: "counterparty");

            migrationBuilder.DropColumn(
                name: "is_contract_closed",
                table: "counterparty");

            migrationBuilder.DropColumn(
                name: "manager_name",
                table: "counterparty");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "contract_number",
                table: "counterparty",
                type: "character varying(50)",
                maxLength: 50,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<bool>(
                name: "is_contract_closed",
                table: "counterparty",
                type: "boolean",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<string>(
                name: "manager_name",
                table: "counterparty",
                type: "character varying(255)",
                maxLength: 255,
                nullable: true);
        }
    }
}
